truncate table ${DBNAME_EDW}.f_tr_actuacion_detallada_prev;

insert into ${DBNAME_EDW}.f_tr_actuacion_detallada_prev
select
ani_cd	,
operacion_fh	,
operacion_actuacion_cd	,
usuario_ultima_modificacion_cd	,
causa_cd	,
importe_inicial_mo	,
importe_abono_mo	,
importe_recarga_mo	,
importe_especial_mo	,
importe_bolsa5_mo	,
importe_bolsa6_mo	,
importe_coste_mo	,
bono_cd	,
categoria_abonado_cd	,
referencia_recarga_cd	,
origen_recarga_cd	,
promocion_cd	,
secuencia_actuacion_recarga_nr	,
modalidad_tipo_prepago_cd	,
nombre_usuario_oracle_de	,
tecnologia_cd	,
subactuacion_cd	,
actuacion_anulada_cd	,
caducidad_actuacion_fh	,
serie_tarjeta_rasca_nr	,
identificador_peticiongesto_cd	,
importe_penalizacion_mo	,
importe_compensacion_deuda_mo	,
importe_pend_monedero_deuda_mo	,
compensacion_total_fl	,
fecha_compensacion_fh	,
inicio_uso_deuda_fh	,
nombre_extractor_tx	,
fecha as fecha_proceso	

from trafico.altamira_operaciones_fp
where fecha = ${CURRENT_DATE_N}
union all

select 
ani_cd	,
operacion_fh	,
operacion_actuacion_cd	,
usuario_ultima_modificacion_cd	,
causa_cd	,
importe_inicial_mo	,
importe_abono_mo	,
importe_recarga_mo	,
importe_especial_mo	,
importe_bolsa5_mo	,
importe_bolsa6_mo	,
importe_coste_mo	,
bono_cd	,
categoria_abonado_cd	,
referencia_recarga_cd	,
origen_recarga_cd	,
promocion_cd	,
secuencia_actuacion_recarga_nr	,
modalidad_tipo_prepago_cd	,
nombre_usuario_oracle_de	,
tecnologia_cd	,
subactuacion_cd	,
actuacion_anulada_cd	,
caducidad_actuacion_fh	,
serie_tarjeta_rasca_nr	,
identificador_peticiongesto_cd	,
importe_penalizacion_mo	,
importe_compensacion_deuda_mo	,
importe_pend_monedero_deuda_mo	,
compensacion_total_fl	,
fecha_compensacion_fh	,
inicio_uso_deuda_fh	,
nombre_extractor_tx	,
fecha_proceso	

from ${DBNAME_EDW}.f_tr_actuacion_detallada_reinyect;
